Subject: Re: Cannot build Tk-800-022
From: "Gerrit P. Haase" <[email-masked]>
To: "Matthew O. Persico" <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Sep 2001 21:15:43 +0200

Matthew O. Persico schrieb am 2001-09-12, 14:21:

>I am trying to build said module. The process gets pretty far and then:
>
[...]
>There are 2800 lines in all of undef refs which fall into three
>categories:
>
>Tcl*
>X*
>Lang*
>
>I searched the archives for PerlTk issues and dllwrap issues, but I the
>first 15 or so emails I read were one-deep threads for help, not
>answered. And the fact that I have X issues is really bizare since I
>just installed the XFree 4.1.0 stuff. 
>
>So, does anyone have any pointers on where I should start looking?
>Possibly for missing software to download?

If you do a simple 'perl Makefile.PL', Tk will be build with native
Windows GUI calls.
No need for X.
You only need X if you like to build it on base of X:
That is -> 'perl Makefile.PL x'

Probably you will need also the patch from Eric Fifer:
ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Haase_Gerrit/1.3/perl/

I have also uploaded a binary, but it isn't mirrored yet to ftp.uni-erlangen.de.
There is also a README.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/